//
//  MainViewController.m
//  chekstatus
//
//  Created by Abraham Barrera on 25-10-10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "MainViewController.h"
#import <SystemConfiguration/SystemConfiguration.h>

@implementation MainViewController
@synthesize cnnStatus;
@synthesize cnnImage;

 
- (BOOL)connectionStatusOK {
	 
	const char *host_name = "google.com";
	SCNetworkReachabilityRef rechability = SCNetworkReachabilityCreateWithName(NULL, host_name);
	SCNetworkReachabilityFlags flags;
	Boolean success = SCNetworkReachabilityGetFlags(rechability, &flags);
	return success && 
				(flags & kSCNetworkFlagsReachable) && 
						!(flags & kSCNetworkFlagsConnectionRequired);
 
}

// Implement viewDidLoad to do additional setup after loading the view, typically from a nib.
- (void)viewDidLoad {
	if ([self connectionStatusOK]) {
		[cnnImage setImage:[UIImage imageNamed:@"connected.png"]];
		[cnnStatus setText:@"Connected"];
		[cnnStatus setTextColor:[UIColor greenColor]];
	} else {
		[cnnImage setImage:[UIImage imageNamed:@"disconnected.png"]];
		[cnnStatus setText:@"Disconnected"];
		[cnnStatus setTextColor:[UIColor redColor]];		 
	}

}
 


- (void)flipsideViewControllerDidFinish:(FlipsideViewController *)controller {
    
	[self dismissModalViewControllerAnimated:YES];
}


- (IBAction)showInfo:(id)sender {    
	
	FlipsideViewController *controller = [[FlipsideViewController alloc] initWithNibName:@"FlipsideView" bundle:nil];
	controller.delegate = self;
	
	controller.modalTransitionStyle = UIModalTransitionStyleFlipHorizontal;
	[self presentModalViewController:controller animated:YES];
	
	[controller release];
}


- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc. that aren't in use.
}


- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


/*
// Override to allow orientations other than the default portrait orientation.
- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	// Return YES for supported orientations.
	return (interfaceOrientation == UIInterfaceOrientationPortrait);
}
*/


- (void)dealloc {
    [super dealloc];
}


@end
